# Uses of Interface
org.eclipse.jface.viewers.ILabelProvider

Packages that use ILabelProvider
Package
Description
org.eclipse.compare
Provides support for performing structural and textual compare operations on arbitrary data and displaying the results.
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.
org.eclipse.debug.ui.memory
Provides classes and interfaces to render memory blocks in the memory view.
org.eclipse.jface.contentassist
Provides a content assist add-on for implementors of `IContentAssistSubjectControl`.
org.eclipse.jface.databinding.viewers
Provides classes that can be used to observe the JFace Viewer framework.
org.eclipse.jface.fieldassist
Provides classes that help communicate proper content for fields in dialogs and wizards.
org.eclipse.jface.internal.databinding.provisional.viewers
org.eclipse.jface.preference
Provides a framework for preferences.
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.ltk.ui.refactoring.history
Application programming interface to display and preview refactoring history information.
org.eclipse.ltk.ui.refactoring.model
Application programming interface to provide model integration for refactoring histories.
org.eclipse.search.ui
Classes and interface required to contribute search dialog pages and search result view pages.
org.eclipse.team.ui.mapping
Application programming interfaces for working with resource mappings.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.
org.eclipse.ui.dialogs
Classes for standard dialogs, wizards, and preference pages in the Eclipse Platform User Interface.
org.eclipse.ui.ide.dialogs
APIs for dialogs in the IDE-specific portion of the Eclipse Platform User Interface.
org.eclipse.ui.intro.quicklinks
Application programming interfaces for the Quicklinks Viewer, a component for the Welcome/Intro.
org.eclipse.ui.model
Provides a workbench adapter for displaying workbench elements in the UI without having to know the concrete type of the element, and various label providers for workbench-specific objects like editors, views, and perspectives.
org.eclipse.ui.navigator
Provides the Common Navigator framework.
org.eclipse.ui.views.properties
Provides the standard Property Sheet view which displays custom properties of the active workbench part's current selection.

## Uses of ILabelProvider in org.eclipse.compare

Subinterfaces of ILabelProvider in org.eclipse.compare
Modifier and Type
Interface
Description
`interface`
`ICompareInputLabelProvider`
A label provider that provides the label and image for the left, right and ancestor sides for a compare input being shown in compare/merge viewers.

## Uses of ILabelProvider in org.eclipse.debug.ui

Subinterfaces of ILabelProvider in org.eclipse.debug.ui
Modifier and Type
Interface
Description
`interface`
`IDebugModelPresentation`
A debug model presentation is responsible for providing labels, images, and editors associated with debug elements in a specific debug model.
`interface`
`IDebugModelPresentationExtension`
Optional extension for an `IDebugModelPresentation`.
`interface`
`IInstructionPointerPresentation`
A debug model presentation may implement this interface to override standard annotations used to display instruction pointers for stack frames.
Classes in org.eclipse.debug.ui that implement ILabelProvider
Modifier and Type
Class
Description
`class`
`EnvironmentTab.EnvironmentVariableLabelProvider`
Label provider for the environment table

## Uses of ILabelProvider in org.eclipse.debug.ui.memory

Subinterfaces of ILabelProvider in org.eclipse.debug.ui.memory
Modifier and Type
Interface
Description
`interface`
`IMemoryBlockTablePresentation`
Allows debug models to customize the rendering of addresses for its memory blocks in table and text based renderings provided by the debug platform.
Methods in org.eclipse.debug.ui.memory that return ILabelProvider
Modifier and Type
Method
Description
`protected ILabelProvider`
AbstractTableRendering.`getLabelProviderAdapter()`
Returns the label provider for this rendering's memory block or `null` if none.

## Uses of ILabelProvider in org.eclipse.jface.contentassist

Methods in org.eclipse.jface.contentassist with parameters of type ILabelProvider
Modifier and Type
Method
Description
`void`
AbstractControlContentAssistSubjectAdapter.`setContentAssistCueProvider(ILabelProvider labelProvider)`
Deprecated.
Sets the visual feedback provider for content assist.

## Uses of ILabelProvider in org.eclipse.jface.databinding.viewers

Classes in org.eclipse.jface.databinding.viewers that implement ILabelProvider
Modifier and Type
Class
Description
`class`
`ListeningLabelProvider<E>`
`class`
`ObservableMapLabelProvider`
A label provider based on one or more observable maps that track attributes that this label provider uses for display.

## Uses of ILabelProvider in org.eclipse.jface.fieldassist

Methods in org.eclipse.jface.fieldassist that return ILabelProvider
Modifier and Type
Method
Description
`ILabelProvider`
ContentProposalAdapter.`getLabelProvider()`
Get the label provider that is used to show proposals.
Methods in org.eclipse.jface.fieldassist with parameters of type ILabelProvider
Modifier and Type
Method
Description
`void`
ContentProposalAdapter.`setLabelProvider(ILabelProvider labelProvider)`
Set the label provider that is used to show proposals.

## Uses of ILabelProvider in org.eclipse.jface.internal.databinding.provisional.viewers

Classes in org.eclipse.jface.internal.databinding.provisional.viewers that implement ILabelProvider
Modifier and Type
Class
Description
`class`
`org.eclipse.jface.internal.databinding.provisional.viewers.ViewerLabelProvider`
NON-API - Generic viewer label provider.

## Uses of ILabelProvider in org.eclipse.jface.preference

Classes in org.eclipse.jface.preference that implement ILabelProvider
Modifier and Type
Class
Description
`class`
`PreferenceLabelProvider`
Provides labels for `IPreferenceNode` objects.

## Uses of ILabelProvider in org.eclipse.jface.viewers

Classes in org.eclipse.jface.viewers that implement ILabelProvider
Modifier and Type
Class
Description
`class`
`ColumnLabelProvider`
The ColumnLabelProvider is the label provider for viewers that have column support such as `TreeViewer` and `TableViewer`
`class`
`DecoratingLabelProvider`
A decorating label provider is a label provider which combines a nested label provider and an optional decorator.
`class`
`LabelProvider`
A label provider implementation which, by default, uses an element's `toString` value for its text and `null` for its image.
`final class`
`NamedHandleObjectLabelProvider`
A label provider for instances of `NamedHandlerObject`, which exposes the name as the label.
`class`
`TreeColumnViewerLabelProvider`
TreeViewerLabelProvider is the ViewerLabelProvider that handles TreePaths.
Methods in org.eclipse.jface.viewers that return ILabelProvider
Modifier and Type
Method
Description
`ILabelProvider`
DecoratingLabelProvider.`getLabelProvider()`
Returns the nested label provider.
Constructors in org.eclipse.jface.viewers with parameters of type ILabelProvider
Modifier
Constructor
Description
``
`DecoratingLabelProvider(ILabelProvider provider, ILabelDecorator decorator)`
Creates a decorating label provider which uses the given label decorator to decorate labels provided by the given label provider.

## Uses of ILabelProvider in org.eclipse.ltk.ui.refactoring.history

Classes in org.eclipse.ltk.ui.refactoring.history that implement ILabelProvider
Modifier and Type
Class
Description
`class`
`RefactoringHistoryLabelProvider`
Label provider to display a refactoring history.

## Uses of ILabelProvider in org.eclipse.ltk.ui.refactoring.model

Classes in org.eclipse.ltk.ui.refactoring.model that implement ILabelProvider
Modifier and Type
Class
Description
`class`
`AbstractSynchronizationLabelProvider`
Partial implementation of a refactoring-aware synchronization label provider.

## Uses of ILabelProvider in org.eclipse.search.ui

Methods in org.eclipse.search.ui that return ILabelProvider
Modifier and Type
Method
Description
`ILabelProvider`
ISearchResultView.`getLabelProvider()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the label provider of a search result view.
Methods in org.eclipse.search.ui with parameters of type ILabelProvider
Modifier and Type
Method
Description
`void`
ISearchResultView.`searchStarted(String pageId, String singularLabel, String pluralLabelPattern, ImageDescriptor imageDescriptor, IContextMenuContributor contributor, ILabelProvider labelProvider, IAction gotoAction, IGroupByKeyComputer groupByKeyComputer, IRunnableWithProgress operation)`
Deprecated.
As of build > 20020514, replaced by the new version which provides an action group factory
`void`
ISearchResultView.`searchStarted(String pageId, String label, ImageDescriptor imageDescriptor, IContextMenuContributor contributor, ILabelProvider labelProvider, IAction gotoAction, IGroupByKeyComputer groupByKeyComputer, IRunnableWithProgress operation)`
Deprecated.
As of build > 20011107, replaced by the new version with additional parameter
`void`
ISearchResultView.`searchStarted(IActionGroupFactory groupFactory, String singularLabel, String pluralLabelPattern, ImageDescriptor imageDescriptor, String pageId, ILabelProvider labelProvider, IAction gotoAction, IGroupByKeyComputer groupByKeyComputer, IRunnableWithProgress operation)`
Deprecated, for removal: This API element is subject to removal in a future version.
Informs the view that a search has started.

## Uses of ILabelProvider in org.eclipse.team.ui.mapping

Classes in org.eclipse.team.ui.mapping that implement ILabelProvider
Modifier and Type
Class
Description
`class`
`SynchronizationLabelProvider`
A label provider wrapper that adds synchronization image and/or text decorations to the image and label obtained from the delegate provider.

## Uses of ILabelProvider in org.eclipse.team.ui.synchronize

Classes in org.eclipse.team.ui.synchronize that implement ILabelProvider
Modifier and Type
Class
Description
`class`
`AbstractSynchronizeLabelProvider`
A label provider wrapper that adds synchronization image and/or text decorations to the image and label obtained from the delegate provider.
Methods in org.eclipse.team.ui.synchronize that return ILabelProvider
Modifier and Type
Method
Description
`protected abstract ILabelProvider`
AbstractSynchronizeLabelProvider.`getDelegateLabelProvider()`
Return the label provider that will return the text and image appropriate for the given model element.

## Uses of ILabelProvider in org.eclipse.ui.dialogs

Classes in org.eclipse.ui.dialogs that implement ILabelProvider
Modifier and Type
Class
Description
`class`
`FileEditorMappingLabelProvider`
A label provider for displaying of `IFileEditorMapping` objects in viewers.
Methods in org.eclipse.ui.dialogs that return ILabelProvider
Modifier and Type
Method
Description
`ILabelProvider`
FilteredList.`getLabelProvider()`
Returns the label provider for the items.
Methods in org.eclipse.ui.dialogs with parameters of type ILabelProvider
Modifier and Type
Method
Description
`ListSelectionDialog.Builder`
ListSelectionDialog.Builder.`labelProvider(ILabelProvider labelProvider)`
Sets the label provider.
`void`
FilteredItemsSelectionDialog.`setDetailsLabelProvider(ILabelProvider detailsLabelProvider)`
Sets label provider for the details field.
`void`
FilteredList.`setLabelProvider(ILabelProvider labelProvider)`
Sets the label provider.
`void`
ListDialog.`setLabelProvider(ILabelProvider lp)`
`void`
FilteredItemsSelectionDialog.`setListLabelProvider(ILabelProvider listLabelProvider)`
Sets a new label provider for items in the list.
Constructors in org.eclipse.ui.dialogs with parameters of type ILabelProvider
Modifier
Constructor
Description
`protected`
`AbstractElementListSelectionDialog(Shell parent, ILabelProvider renderer)`
Constructs a list selection dialog.
``
`CheckedTreeSelectionDialog(Shell parent, ILabelProvider labelProvider, ITreeContentProvider contentProvider)`
Constructs an instance of `ElementTreeSelectionDialog`.
``
`CheckedTreeSelectionDialog(Shell parent, ILabelProvider labelProvider, ITreeContentProvider contentProvider, int style)`
Constructs an instance of `ElementTreeSelectionDialog`.
``
`ElementListSelectionDialog(Shell parent, ILabelProvider renderer)`
Creates a list selection dialog.
``
`ElementTreeSelectionDialog(Shell parent, ILabelProvider labelProvider, ITreeContentProvider contentProvider)`
Constructs an instance of `ElementTreeSelectionDialog`.
``
`FilteredList(Composite parent, int style, ILabelProvider labelProvider, boolean ignoreCase, boolean allowDuplicates, boolean matchEmptyString)`
Constructs a new filtered list.
``
`ListSelectionDialog(Shell parentShell, Object input, IStructuredContentProvider contentProvider, ILabelProvider labelProvider, String message)`
Deprecated.
since 3.123; use `ListSelectionDialog.of(Object)` instead: `ListSelectionDialog.of(input).contentProvider(contentProvider).labelProvider(labelProvider).message(message).create(parentShell)`
``
`TwoPaneElementSelector(Shell parent, ILabelProvider elementRenderer, ILabelProvider qualifierRenderer)`
Creates the two pane element selector.
``
`YesNoCancelListSelectionDialog(Shell parentShell, Object input, IStructuredContentProvider contentProvider, ILabelProvider labelProvider, String message)`
Deprecated.
see class comment

## Uses of ILabelProvider in org.eclipse.ui.ide.dialogs

Methods in org.eclipse.ui.ide.dialogs with parameters of type ILabelProvider
Modifier and Type
Method
Description
`void`
ResourceTreeAndListGroup.`setListProviders(IStructuredContentProvider contentProvider, ILabelProvider labelProvider)`
Set the list viewer's providers to those passed
`void`
ResourceTreeAndListGroup.`setTreeProviders(ITreeContentProvider contentProvider, ILabelProvider labelProvider)`
Set the tree viewer's providers to those passed
Constructors in org.eclipse.ui.ide.dialogs with parameters of type ILabelProvider
Modifier
Constructor
Description
``
`ResourceTreeAndListGroup(Composite parent, Object rootObject, ITreeContentProvider treeContentProvider, ILabelProvider treeLabelProvider, IStructuredContentProvider listContentProvider, ILabelProvider listLabelProvider, int style, boolean useHeightHint)`
Create an instance of this class.

## Uses of ILabelProvider in org.eclipse.ui.intro.quicklinks

Classes in org.eclipse.ui.intro.quicklinks that implement ILabelProvider
Modifier and Type
Class
Description
`class`
`URLLabelProvider`
Simple label provider that knows how to load images from a URL.

## Uses of ILabelProvider in org.eclipse.ui.model

Classes in org.eclipse.ui.model that implement ILabelProvider
Modifier and Type
Class
Description
`final class`
`PerspectiveLabelProvider`
A table label provider implementation for showing workbench perspectives (objects of type `IPerspectiveDescriptor`) in table- and tree-structured viewers.
`class`
`WorkbenchLabelProvider`
Provides basic labels for adaptable objects that have the `IWorkbenchAdapter` adapter associated with them.
`final class`
`WorkbenchPartLabelProvider`
A table label provider implementation for showing workbench views and editors (objects of type `IWorkbenchPart`) in tree- and table-structured viewers.
Methods in org.eclipse.ui.model that return ILabelProvider
Modifier and Type
Method
Description
`static ILabelProvider`
WorkbenchLabelProvider.`getDecoratingWorkbenchLabelProvider()`
Returns a workbench label provider that is hooked up to the decorator mechanism.

## Uses of ILabelProvider in org.eclipse.ui.navigator

Subinterfaces of ILabelProvider in org.eclipse.ui.navigator
Modifier and Type
Interface
Description
`interface`
`ICommonLabelProvider`
Allows extensions to vary their behavior based on properties in the extension model and the given memento.
Methods in org.eclipse.ui.navigator that return ILabelProvider
Modifier and Type
Method
Description
`ILabelProvider`
INavigatorContentService.`createCommonLabelProvider()`
Create a Label Provider which will use an enhanced delegation model to locate extension label providers using this content service for each element in the tree.

## Uses of ILabelProvider in org.eclipse.ui.views.properties

Classes in org.eclipse.ui.views.properties that implement ILabelProvider
Modifier and Type
Class
Description
`class`
`ComboBoxLabelProvider`
An `ILabelProvider` that assists in rendering labels for `ComboBoxPropertyDescriptors`.
`class`
`PropertyColumnLabelProvider`
A column label provider that returns label text and images based on a `IPropertySourceProvider`, forwarding requests for text and image to the label provider returned from the property descriptor for the given property id.
Methods in org.eclipse.ui.views.properties that return ILabelProvider
Modifier and Type
Method
Description
`ILabelProvider`
ComboBoxPropertyDescriptor.`getLabelProvider()`
The `ComboBoxPropertyDescriptor` implementation of this `IPropertyDescriptor` method returns the value set by the `setProvider` method or, if no value has been set it returns a `ComboBoxLabelProvider` created from the valuesArray of this `ComboBoxPropertyDescriptor`.
`ILabelProvider`
IPropertyDescriptor.`getLabelProvider()`
Returns the label provider for this property.
`ILabelProvider`
PropertyDescriptor.`getLabelProvider()`
The `PropertyDescriptor` implementation of this `IPropertyDescriptor` method returns the value set by the `setProvider` method or, if no value has been set it returns a `LabelProvider`
Methods in org.eclipse.ui.views.properties with parameters of type ILabelProvider
Modifier and Type
Method
Description
`void`
PropertyDescriptor.`setLabelProvider(ILabelProvider provider)`
Sets the label provider for this property descriptor.